Bug 521307 - Fix instances of #!/usr/bin/env python in PyXML
Summary: Fix instances of #!/usr/bin/env python in PyXML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: PyXML
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Roman Rakus
QA Contact: Lukas Zachar
URL:
Whiteboard:
Depends On:
Blocks: 502912 590060 521940
TreeView+ depends on / blocked
 
Reported: 2009-09-04 17:05 UTC by Chris Williams
Modified: 2018-11-14 20:33 UTC (History)
7 users (show)

Fixed In Version: PyXML-0.8.4-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 877329 877334 (view as bug list)
Environment:
Last Closed: 2011-11-21 07:20:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1460 normal SHIPPED_LIVE PyXML bug fix update 2011-11-21 12:19:18 UTC

Description Chris Williams 2009-09-04 17:05:34 UTC
There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, PyXML in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python

Comment 4 Roman Rakus 2010-04-07 11:33:26 UTC
Cannot be fastrack because of bug 531854

Comment 8 RHEL Product and Program Management 2010-08-09 19:26:19 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 16 errata-xmlrpc 2011-11-21 07:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1460.html


Note You need to log in before you can comment on or make changes to this bug.